// Start Responsive
// Start Responsive
//resmax1300
@media (max-width: 1300px) {
  .wrap-scroll {
    overflow: auto;
    width: 94vw;
  }
  .deco-4,
  .deco-3 {
    display: none;
  }
}

//resmax1100
@media (max-width: 1100px) {
  .current_info {
    position: relative;
    z-index: 2;
    backdrop-filter: blur(10px);
  }
  .lang-biang {
    width: auto;
  }
  .your-ticket-section {
    .wrap-info-ticket {
      flex-direction: column;
      width: auto;
      .ticket {
        max-width: 600px;
        width: auto;
        min-width: 400px;
        margin-bottom: 34px;
      }

      .flex-row {
        flex-direction: column;
        .flex-align-center {
          margin: 0 8px 34px !important;
        }
      }
    }
  }
  .all-history,
  .how-to-play {
    padding: 0 24px;
  }
}

//resmin600
@media (min-width: 600px) {
  .on-mobile {
    display: none;
  }
}

//resmax900
@media (max-width: 900px) {
  .deco-3 {
    display: none;
  }
  .grid {
    width: 100%;
    flex-direction: column;
  }
  .wrap_current_lottery {
    flex-direction: column-reverse;
    width: auto;
    .wrap-current {
      margin-bottom: 24px;
      width: 90%;
    }
    .current_info_value {
      span {
        // width: 32px !important;
      }
    }
  }
  .current_info {
    min-width: auto;
  }
  .lang-biang {
    width: auto;
  }

  // .wrap-previous-lottery {
  //   flex-direction: column;
  //   width: auto;
  //   .section {
  //     width: auto;
  //     min-width: 200px;
  //   }

  //   .section.mid {
  //     min-width: 100%;
  //     margin: auto;
  //     width: 50%;
  //     padding: 20px;
  //     height: auto;
  //     .value {
  //       flex-wrap: wrap;
  //     }
  //   }
  //   div {
  //     margin-bottom: 44px !important;
  //   }
  // }

  .wrap-previous-lottery {
    flex-direction: row;
    position: relative;
    padding-top: 160px;
    margin: 0 22px;
    .section {
      width: 48%;
      margin-bottom: 18px;
    }
    .section.mid {
      width: 90%;
      margin: auto;
      position: absolute;
      top: 70px;
      left: 50%;
      transform: translate(-50%, -50%);
      min-width: 100%;
    }
    .winning-card-chain {
      position: absolute !important;
      width: 100%;
      top: 0;
    }
  }

  .current_info {
    margin: auto;
    max-width: 500px;
    // min-width: 300px;
    width: auto;
    position: relative;
    z-index: 2;
  }
  .all-history {
    padding: 0 24px;
  }

  .how-to-play {
    .wrap-step {
      flex-direction: column;
      align-items: center;
      width: 100% !important;
      .step {
        width: 80%;
        margin-bottom: 24px;
      }
    }
    .winning-rule-section {
      flex-direction: column;
      align-items: center;
      .rule-board,
      .criteria {
        width: 80%;
      }
      .item-flex {
        margin-bottom: 24px;
      }
    }
  }
  .deco-2 {
    display: none;
  }
  .near_lott {
    font-size: 26px;
  }
  .lottery {
    width: 80%;
    margin: 12px auto;
    & + p {
      font-size: 12px;
      margin: 0 40px;
    }
  }
}

//resmax750
@media (max-width: 750px) {
  #detail-modal {
    .wrap-board {
      gap: 0;
      .reward {
        width: 25%;
      }
    }
  }
}

//resmax650
@media (max-width: 650px) {
  #detail-modal {
    .wrap-lott-number {
      flex-direction: column;
      align-items: center;
      .lott-number {
        margin-bottom: 12px;
        gap: 12px;
      }
      .lott-controls {
        transform: scale(0.8) translateX(0%);
      }
    }
    .wrap-board {
      .reward {
        width: 33%;
      }
    }
  }
}

//resmax600
@media (max-width: 600px) {
  .on-desktop {
    display: none;
  }
  .deco-1,
  .deco-5,
  .deco-4,
  .deco-6 {
    display: none;
  }
  // .grid {
  //   width: 100%;
  //   flex-direction: column;
  // }\

  .your-ticket-section {
    .wrap-info-ticket {
      .ticket {
        min-width: auto;
        width: 90%;
        margin-bottom: 34px;
      }
    }
  }

  .how-to-play {
    .wrap-step {
      .step {
        width: 100%;
        margin-bottom: 24px;
      }
    }
    .winning-rule-section {
      .rule-board,
      .criteria {
        width: 100%;
      }
      .item-flex.rule-board {
        min-height: 180px;
      }
    }
  }

  // history item
  .all-history {
    .wrap-all-history {
      width: auto;
      .wrap-title {
        display: none;
        padding: 12px;
      }
      .wrap-history-item {
        padding-top: 0;
        background: none;
        // max-height: 958px;
        height: 100%;
        overflow: hidden;
        transition: all 0.3s ease-in-out;
        .wrap-title-value {
          display: flex;
          flex-direction: column;
          overflow: hidden;
          border-radius: 20px;
          margin-bottom: 20px;
          background: var(--white-transparent-5p);
          .block-title {
            display: flex;
            width: 100%;
            justify-content: space-between;
            align-items: center;
            .value-item {
              p {
                font-size: 14px;
                text-align: right;
              }
            }
          }
          .win-numbers {
            flex-direction: column;
            align-items: flex-start;
            .flex-win-numbers {
              margin-top: 4px;
              gap: 7px;
              font-size: 16px;
              width: 100%;
              justify-content: center;
            }
          }
        }
      }
    }
  }

  .lang-biang {
    height: 200px;
    margin-top: 49px;
  }

  //history
  .wrap-scroll {
    width: auto;
  }

  .wrap-previous-lottery {
    flex-direction: row;
    position: relative;
    padding-top: 50px;
    margin: 0 22px;
    flex-direction: column;
    .winning-card-chain {
      width: 100%;
      position: absolute !important;
      top: 0;
      .ball-class-api {
        width: 45px !important;
        height: 45px !important;
      }
    }
    .section.mid {
      position: absolute;
      top: 70px;
      left: 50%;
      transform: translate(-50%, -50%);
      min-width: 100%;
      .value {
        .number {
          div {
            font-size: 26px !important;
            padding: 18px;
          }
        }
      }
    }
  }
  .wrap-previous-lottery .section {
    width: 100%;
  }
  .wrap-previous-lottery .winning-card-chain {
    position: relative !important;
    margin-bottom: 24px;
    height: 142px;
    margin-top: 8px;
  }
  .wrap-previous-lottery .section.mid {
    width: 100%;
    left: 0;
    transform: unset;
    top: 0;
  }

  // .ant-modal.wrap-modal.buy-ticket-modal .wrap-random .action-random

  .ant-modal.wrap-modal.buy-ticket-modal {
    .you-number {
      .control {
        flex-direction: column;
        .number-chosen {
          width: 100%;
          margin-bottom: 20px;
          flex-wrap: wrap;
          justify-content: center;
          padding: 10px 0;
        }
        .add-button {
          width: 100%;
        }
      }
    }
    .wrap-number-pad {
      .number-pad {
        justify-content: center;
        button {
          width: 17%;
        }
      }
    }

    .wrap-combination {
      .list-number-choose {
        .wrap-number-choose {
          width: 90%;
          justify-content: center;
        }
      }
    }
    .wrap-random {
      .action-random {
        display: flex;
        margin: 12px 0;
        width: 100%;
        .wrap-input {
          width: 66%;
          margin-right: 0.4rem;
          padding: 6px 17px;
        }
        .common-button {
          width: 100%;
        }
      }
    }
  }

  #detail-modal {
    .flex {
      flex-direction: column;
      align-items: flex-start;
    }
    .wrap-lott-number {
      .lott-number {
        .single-lott-number {
          div {
            width: 3rem !important;
            height: 3rem !important;
          }
        }
      }
    }
  }
  #winning-claim-token-modal {
    .ant-select {
      max-width: 130px;
    }
    .claim-banner-button {
      .claim-btn {
        padding: 9px 40px;
      }
    }

    .item-claim-record {
      flex-wrap: wrap;
      .span-flex {
        .reward-item-default {
          width: 3rem;
          height: 3rem;
        }
      }
    }
  }

  .home_buy_ticket:after {
    display: none;
  }
}

//resmax450
@media (max-width: 450px) {
  .wrap-current {
    .current_info.orange {
      .current_info_value {
        flex-direction: column;
      }
    }
  }
  .ant-tabs-tab + .ant-tabs-tab {
    margin-left: 10px !important;
  }
  .current_info_value {
    flex-direction: column;
    p {
      margin-left: 0 !important;
      padding: 0;
      width: auto !important;
    }
  }
  .current_info_value_lottery_detail {
    .fix-width {
      width: 200px;
      text-align: center;
      white-space: nowrap;
      display: flex;
      justify-content: center;
    }
  }
  .current_info_value_history_item {
    align-items: center;
    width: 100%;
    height: auto;
    .fix-width {
      position: relative;
      font-size: 14px;
      width: 180px;
      left: auto;
      top: auto;
    }
  }
  .ant-modal.wrap-modal.buy-ticket-modal {
    .you-number {
      .control {
        .number-chosen {
          gap: 10px;
          .number-circle {
            width: 2rem;
            height: 2rem;
            p {
              font-size: 15px;
            }
          }
        }
        .add-button {
        }
      }
    }
    .wrap-number-pad {
      .number-pad {
        button {
        }
      }
    }

    .wrap-combination {
      .list-number-choose {
        max-height: 140px;
        .wrap-number-choose {
          display: flex;
          justify-content: center;
          align-items: center;
          width: 100%;
          margin: 0 0 12px;
          .number-show {
            gap: 2px;
            .number-circle {
              width: 30px;
              height: 30px;
              p {
                font-size: 16px;
              }
            }
          }
          .number-del {
            text-align: center;
            font-size: 14px;
            .anticon-delete {
              width: inherit;
              margin-left: 0.4rem;
            }
          }
        }
      }
    }
  }
  #detail-modal {
    .wrap-board {
      .reward {
        width: 50%;
        min-width: 50%;
        .last,
        .title {
          font-size: 0.8rem;
        }
        .amount {
          font-size: 1.3rem;
        }
      }
    }
  }
  .btn-feedback {
    bottom: 75px;
    right: 0;
    left: 0;
    position: absolute;
  }
}

//resmax400
@media (max-width: 400px) {
  .home_buy_ticket {
    margin: 0 auto;
  }
  .wrap-previous-lottery {
    flex-wrap: wrap;
    justify-content: center;
    .section {
      width: auto;
      min-width: 100%;
    }
    .section.mid {
      padding: 24px 12px 12px;
      .value {
        .number {
          div {
            font-size: 14px;
            padding: 16px;
          }
        }
      }
    }
  }
  .lang-biang {
    background-size: 120%;
    background-position-x: 80%;
  }

  .all-history {
    .wrap-all-history {
      .wrap-title {
        .block-title {
          .value-button {
            .common-button {
              width: 76px;
              font-size: 10px;
              margin-right: 6px;
              &:last-child {
              }
            }
          }
        }
      }
    }
  }

  .ant-modal.wrap-modal.show-ticket-modal {
    .number-count {
      font-size: 1rem;
    }
    .number-circle {
      width: 2rem;
      height: 2rem;
      p {
        font-size: 1rem;
      }
    }
  }

  #detail-modal {
    .head-info {
      width: 100%;
      //   flex-direction: column-reverse;
      //   align-items: flex-start;
      .wrap-round-head {
      }
    }
    .wrap-lott-number {
      .lott-number {
        .single-lott-number {
          div {
            width: 2.5rem !important;
            height: 2.5rem !important;
          }
        }
      }
    }
  }
}

@media screen and (max-width: 768px) {
  .claim-btn {
    padding: 10px 30px !important;
  }
}
@media screen and (max-width: 576px) {
  .nws-modal-wrapper {
    bottom: 20%;
  }
}

// End Responsive
// End Responsive
.ant-scrolling-effect {
  width: 100% !important;
}
